Bug 233411 (cmake-3.13) - [exp-run] Update cmake to 3.13.0
Summary: [exp-run] Update cmake to 3.13.0
Status: Closed FIXED
Alias: cmake-3.13
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-22 20:06 UTC by Tobias C. Berner
Modified: 2018-12-01 07:41 UTC (History)
1 user (show)

See Also:


Attachments
v1 (23.65 KB, patch)
2018-11-22 20:06 UTC, Tobias C. Berner
no flags Details | Diff
v3 (25.38 KB, patch)
2018-11-27 22:08 UTC, Tobias C. Berner
no flags Details | Diff
v1.1 (23.65 KB, patch)
2018-11-30 22:24 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2018-11-22 20:06:06 UTC
Created attachment 199457 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade cmake to 3.13.0.

The patch is attached and can also be found here:
https://people.freebsd.org/~tcberner/patches/cmake-3.13.0.v1.diff


mfg Tobias
Comment 1 Tobias C. Berner freebsd_committer 2018-11-23 23:14:06 UTC
Sorry, there was a parenthesis too many in the patch:

https://people.freebsd.org/~tcberner/patches/cmake-3.13.0.v2.diff

I verified build of graphics/exiv2 and devel/llvm-cheri.


mfg Tobias
Comment 3 commit-hook freebsd_committer 2018-11-25 12:45:55 UTC
A commit references this bug:

Author: tcberner
Date: Sun Nov 25 12:44:54 UTC 2018
New revision: 485857
URL: https://svnweb.freebsd.org/changeset/ports/485857

Log:
  math/plplot: prepare for cmake-3.13

  PR:		233411
  Reported by:	antoine

Changes:
  head/math/plplot/files/patch-cmake_modules_pkg-config.cmake
Comment 4 Tobias C. Berner freebsd_committer 2018-11-27 21:51:32 UTC
Moin moin

This 
https://github.com/freebsd/freebsd-ports-kde/commit/b4ce10944fb6dac26fe69402cd5c681077a23ce0 
takes care of the error with daze.

Do you want a new patch for an exp-run, or is it good to go?


mfg Tobias
Comment 6 Tobias C. Berner freebsd_committer 2018-11-30 22:24:58 UTC
Created attachment 199698 [details]
v1.1

In the meantime cmake 3.13.1 has been released

https://people.freebsd.org/~tcberner/patches/cmake-3.13.1.v1.patch
Comment 7 Antoine Brodin freebsd_committer 2018-12-01 06:47:37 UTC
Exp-run looks fine for version 3.13.
Comment 8 commit-hook freebsd_committer 2018-12-01 07:38:37 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec  1 07:37:58 UTC 2018
New revision: 486323
URL: https://svnweb.freebsd.org/changeset/ports/486323

Log:
  devel/cmake: update to 3.13.1

  PR:		233411
  Exp-run by:	antoine

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Modules_FindBLAS.cmake
  head/devel/cmake/files/patch-Modules_GNUInstallDirs.cmake
  head/devel/cmake/files/patch-git_ff06b35
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
Comment 9 Tobias C. Berner freebsd_committer 2018-12-01 07:41:02 UTC
Thanks for the exp-run.